Bug 1347295 - python-pdfminer: python3-pdfminer requires both Python 2 and Python 3
Summary: python-pdfminer: python3-pdfminer requires both Python 2 and Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pdfminer
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Rosser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PYTHON3-PYTHON2
TreeView+ depends on / blocked
 
Reported: 2016-06-16 13:08 UTC by Tomas Orsava
Modified: 2016-06-29 12:54 UTC (History)
1 user (show)

Fixed In Version: python-pdfminer-20160614-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-29 12:54:37 UTC


Attachments (Terms of Use)

Description Tomas Orsava 2016-06-16 13:08:17 UTC
The python3-pdfminer RPM requires both Python 2 and Python 3.

Except in very special circumstances, there is no need for one package
to drag in both Python stacks. Usually, this is a packaging error: for
example, a stray "/usr/bin/python" shebang in a Python 3 package can
introduce a Python 2 dependency.

Please split your package, or remove the stray dependencies.
There is a section on shebangs in the Python RPM Porting Guide [0]
which covers this issue.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance, you can
ask on IRC (#fedora-python on Freenode), or reply here. We'll be happy
to help investigating or fixing this issue!


[0] http://python-rpm-porting.readthedocs.io/en/latest/application-modules.html#are-shebangs-dragging-you-down-to-python-2

Comment 1 Ben Rosser 2016-06-16 21:23:36 UTC
Oops. I thought I'd fixed this a few months ago, but it's probably broken again now that I updated pdfminer yesterday (pdfminer's library files, not just its scripts, all have shebangs on them, sadly). I'll take a look.

Comment 2 Ben Rosser 2016-06-21 17:48:42 UTC
Ah. I updated the patch for doing this but at some point apparently commented out the Patch line in the spec file, so it wasn't being applied. Whoops!

Building for rawhide and F24; will push updates.

Comment 3 Fedora Update System 2016-06-21 18:04:00 UTC
python-pdfminer-20160614-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4f86093f50

Comment 4 Fedora Update System 2016-06-22 02:25:49 UTC
python-pdfminer-20160614-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4f86093f50

Comment 5 Tomas Orsava 2016-06-22 09:14:02 UTC
Thank you very much, Ben!

Comment 6 Fedora Update System 2016-06-29 12:54:35 UTC
python-pdfminer-20160614-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.